.container-clock {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(1, 1fr);
  gap: 24px;
  width: 100%;
}

.clock-card {
  border-radius: 8px;
  padding: 14px;
  cursor: default;
  border-image-source: linear-gradient(
    209.75deg,
    #f2f2f7 0%,
    rgba(242, 242, 247, 0) 100%
  );
  background: #ffffff1a;
  border: 1px solid;
  backdrop-filter: blur(30px);

}

.time-header {
  display:flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
}

.time {
  color: var(--color-text);
  font-weight: 500;
  font-size: 36px;
  line-height: 100%;
  vertical-align: middle;
}

.timezone {
  font-weight: 500;
  font-size: 20px;
  line-height: 100%;
  color: var(--color-text);
}

.clock-bottom {
  padding: 20px 0 0 0;
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.clock-bottom,
.clock-bottom > a {
  font-weight: 400;
  font-size: 18px;
  line-height: 100%;
  vertical-align: middle;
  color: var(--color-text);
}

.clock-icon svg path {
  fill: var(--color-text);
}

.clock-icon {
	position: absolute;
	top: 17px;
	right: 14px;
}

.clock-icon svg {
		height: 40px;
		width: 40px;
	}

@media screen and (max-width: 1440px) {
	.time {
		font-size: 24px;
	}
	
	.timezone {
		font-size: 16px;
	}
	
	.clock-icon svg {
		height: 30px;
		width: 30px;
	}
	
	.clock-bottom, .clock-bottom > a {
		font-size: 12px;
	}
}


@media screen and (max-width: 840px) {
	.container-clock {
		grid-template-columns: repeat(2, 1fr);
  		grid-template-rows: repeat(2, 1fr);
	}
	
	.clock-card{
		display: flex;
		align-items: center;
		padding: 24px 14px;
	}
	
	.time-header {
		flex-direction: column;
		align-items: flex-start;
	}
	
	.time {
		font-size: 30px;
	}
	
	.clock-bottom {
		padding: 0;
		max-width: 40%;
	}
	
	.clock-icon {
		position: static;
		margin-left: auto;
		margin-right: 11px;
	}

}


@media screen and (max-width: 767px) {
	.container-clock {
		grid-template-columns: repeat(1, 1fr);
  		grid-template-rows: repeat(4, 1fr);
		gap: 19px;
	}
	
	.clock-card {
		padding: 20px 14px;
	}
	
	.clock-bottom {
    width: 170px;
  }
}


